Management API Reference – MediaKind
Management API
Base URL https://app.mk.io v0.19.2460 endpoints OpenAPI 3.0.2
Overview
The MK.IO Management API is the REST API for organization, project, and account administration in MK.IO. It supports governance and operational setup use cases, including managing users/teams/roles/scopes, project and location management, payment methods, webhook rules, usage reporting, and profile/token operations.
Authentication
All endpoints require a bearer token in the Authorization header:
Authorization: Bearer <your_token>
You can create and manage your tokens in your profile settings under Your personal API tokens. Follow the API tokens guide for more information.
Usage
Base URL: https://app.mk.io
Typical usage pattern:
- Identify the organization and project context.
- Manage users, roles, teams, and project settings.
- Create, rotate, and revoke tokens before calling Media, Infrastructure, or Fleet APIs.
Endpoints
Auth 2 endpoints
Locations 2 endpoints
Organization 3 endpoints
- getGet an organization/api/v1/organization
- postCreate an organization/api/v1/organization
- patchUpdate organization/api/v1/organization
Payment 5 endpoints
- getList Payment Methods/api/v1/organization/paymentMethods
- getGet one Payment Method/api/v1/organization/paymentMethods/{paymentmethod_id}
- patchPatch Payment Method/api/v1/organization/paymentMethods/{paymentmethod_id}
- postAccept Terms & Conditions/api/v1/organization/paymentMethods/{paymentmethod_id}/acceptTermsAndConditions
- getGet ratecard for payment method/api/v1/organization/paymentMethods/{paymentmethod_id}/rateCard
Projects 8 endpoints
- getList projects/api/v1/projects
- getGet a project/api/v1/projects/{project_name}
- putCreate a project/api/v1/projects/{project_name}
- patchEdit a project/api/v1/projects/{project_name}
- getGet metrics endpoint settings/api/v1/projects/{project_name}/metricsEndpoint
- patchUpdate metrics endpoint settings/api/v1/projects/{project_name}/metricsEndpoint
- getGet assigned payment method/api/v1/projects/{project_name}/paymentMethod
- postAssign payment method/api/v1/projects/{project_name}/paymentMethod
Readiness Check 1 endpoint
Reports 2 endpoints
- postGet usage report/api/v1/organization/reports/usage
- getGet project usage data/api/v1/projects/{project_name}/usage
Roles 2 endpoints
Scopes 2 endpoints
Teams 5 endpoints
- getList Teams/api/v1/organization/teams
- getGet a Team/api/v1/organization/teams/{team_name}
- putCreate or Edit a Team/api/v1/organization/teams/{team_name}
- patchPatch a Team/api/v1/organization/teams/{team_name}
- delDelete a Team/api/v1/organization/teams/{team_name}
User Management 9 endpoints
- getList pending invites/api/v1/organization/invites
- postCreate an invite/api/v1/organization/invites
- getGet one pending invite/api/v1/organization/invites/{invite_id}
- delCancel pending invite/api/v1/organization/invites/{invite_id}
- getGet tokens of all users/api/v1/organization/tokens
- delRevoke a token of a user/api/v1/organization/tokens/{token_id}
- getList users/api/v1/organization/users
- getGet user details/api/v1/organization/users/{user_id}
- delRemove user/api/v1/organization/users/{user_id}
Webhook Rules 5 endpoints
- getList Webhook Rules/api/v1/projects/{project_name}/webhook/rules
- getGet Webhook Rule/api/v1/projects/{project_name}/webhook/rules/{rule_name}
- putCreate or Update Webhook Rule/api/v1/projects/{project_name}/webhook/rules/{rule_name}
- delDelete Webhook Rule/api/v1/projects/{project_name}/webhook/rules/{rule_name}
- getGet Webhook Events/api/v1/projects/{project_name}/webhook/rules/{rule_name}/events
Your Profile 14 endpoints
- getGet profileDeprecated/api/profile/
- putUpdate profileDeprecated/api/profile/
- getList user's organizations and any associated invitation/api/v1/user/organizations
- getGet organization details/api/v1/user/organizations/{organization_id}
- patchUpdate organization details (to accept an invitation)./api/v1/user/organizations/{organization_id}
- delLeave an organization/Decline an invite to an organization/api/v1/user/organizations/{organization_id}
- getGet profile/api/v1/user/profile
- patchUpdate profile/api/v1/user/profile
- getGet RBAC capability data/api/v1/user/rbac
- getGet all user tokens/api/v1/user/tokens
- postRequest a new token/api/v1/user/tokens
- delRevoke all user tokens/api/v1/user/tokens
- getGet a user token by ID/api/v1/user/tokens/{token_id}
- delRevoke a token/api/v1/user/tokens/{token_id}